Please upgrade your browser for the best possible experience.

Chrome Firefox Internet Explorer
×

1.5 really?

ufarax's Avatar


ufarax
10.11.2012 , 01:19 PM | #1
Please fix 1.4. Could you guys do one thing at a time.

Wolfninjajedi's Avatar


Wolfninjajedi
10.11.2012 , 01:19 PM | #2
No because either way, people would QQ besides its not like they can't fix things while 1.5 is in testing.
"There is one lesson you've yet to learn. How to become one with the Force!"
―Cin Drallig to Darth Vader

Maucs the Tauntaun King, former SWG player.

CommunitySupport's Avatar


CommunitySupport
10.11.2012 , 01:20 PM | #3
Hello. We'll be closing this thread, as there are several other threads for general and specific discussion of Game Update 1.5. For general discussion of the update, please visit this thread: http://www.swtor.com/community/showthread.php?t=542948. Thank you!